'''
example IEDB data
'''
# antigen
antigen = {
    "Antigen - Antigen Name":"Streptokinase A",
    "Antigen - Antigen IRI":"http:\/\/www.uniprot.org\/uniprot\/P10520",
    "Antigen - Organism Name":"Streptococcus pyogenes",
    "Antigen - Organism IRI":"http:\/\/purl.obolibrary.org\/obo\/NCBITaxon_1314",
    "Antigen - # Epitopes":"3",
    "Antigen - # Assays":"4",
    "Antigen - # References":"3"
}

# epitope
epitope = {
    'Epitope ID - IEDB IRI': 'https://www.iedb.org/epitope/1',
    'Epitope - Object Type': 'Linear peptide',
    'Epitope - Name': 'AA + MCM(A1,A2)',
    'Epitope - Modified Residue(s)': 'A1,A2',
    'Epitope - Modifications': 'Main chain modification',
    'Epitope - Starting Position': '200',
    'Epitope - Ending Position': '201',
    'Epitope - IRI': '', 
    'Epitope - Synonyms': '',
    'Epitope - Source Molecule': 'streptokinase, SKase',
    'Epitope - Source Molecule IRI': 'http://www.ncbi.nlm.nih.gov/protein/AAB20743.1',
    'Epitope - Molecule Parent': 'Streptokinase A',
    'Epitope - Molecule Parent IRI': 'http://www.uniprot.org/uniprot/P10520',
    'Epitope - Source Organism': 'Streptococcus pyogenes serotype M3 D58',
    'Epitope - Source Organism IRI': 'https://ontology.iedb.org/ontology/ONTIE_0000450',
    'Epitope - Species': 'Streptococcus pyogenes',
    'Epitope - Species IRI': 'http://purl.obolibrary.org/obo/NCBITaxon_1314',
    'Related Object - Epitope Relation': '',
    'Related Object - Object Type': '',
    'Related Object - Name': '',
    'Related Object - Starting Position': '',
    'Related Object - Ending Position': '',
    'Related Object - IRI': '', 
    'Related Object - Synonyms': '', 
    'Related Object - Source Molecule': '', 
    'Related Object - Source Molecule IRI': '', 
    'Related Object - Molecule Parent': '', 
    'Related Object - Molecule Parent IRI': '', 
    'Related Object - Source Organism': '', 
    'Related Object - Source Organism IRI': '', 
    'Related Object - Species': '', 
    'Related Object - Species IRI': ''
}

# T-cell receptor
tcr = {
    "Group IRI": "http://www.iedb.org/receptor/47",
    "IEDB Receptor ID": 57,
    "Reference Name": "KK50.4",
    "Type": "alphabeta",
    "IEDB IRI": "http://www.iedb.org/reference/1004539",
    "IEDB IRI.1": "http://www.iedb.org/epitope/69921",
    "Name": "VMAPRTLIL",
    "Source Molecule": "HLA class I histocompatibility antigen, Cw-3 alpha chain precursor",
    "Source Organism": "Homo sapiens (human)",
    "Type.1": "T cell",
    "IEDB IDs": "1548960, 1583178",
    "MHC Allele Names": "HLA-E*01:01, HLA-E*01:03",
    "Type.2": "alpha",
    "Organism IRI": "http://purl.obolibrary.org/obo/NCBITaxon_9606",
    "Nucleotide Sequence": None,
    "Curated V Gene": "TRAV26-1*01",
    "Calculated V Gene": "TRAV26-1*01",
    "Curated D Gene": None,
    "Calculated D Gene": None,
    "Curated J Gene": "TRAJ37*01",
    "Calculated J Gene": "TRAJ37*01",
    "Protein Sequence": "KTTQPPSMDCAEGRAANLPCNHSTISGNEYVYWYRQIHSQGPQYIIHGLKNNETNEMASLIITEDRKSSTLILPHATLRDTAVYYCIVVRSSNTGKLIFGQGTTLQVKPDIQNPDPAVYQLRDSKSSDKSVCLFTDFDSQTNVSQSKDSDVYITDKCVLDMRSMDFKSNSAVAWSNKSDFACANAFNNSIIPEDTFFPS",
    "Protein IRI": "https://www.ncbi.nlm.nih.gov/protein/2ESV_D",
    "CDR3 Curated": "IVVRSSNTGKLI",
    "CDR3 Calculated": "IVVRSSNTGKLI",
    "CDR3 Start Curated": None,
    "CDR3 End Curated": None,
    "CDR3 Start Calculated": 87.0,
    "CDR3 End Calculated": 98.0,
    "CDR1 Curated": None,
    "CDR1 Calculated": "TISGNEY",
    "CDR1 Start Curated": None,
    "CDR1 End Curated": None,
    "CDR1 Start Calculated": 24.0,
    "CDR1 End Calculated": 30.0,
    "CDR2 Curated": None,
    "CDR2 Calculated": "GLKNN",
    "CDR2 Start Curated": None,
    "CDR2 End Curated": None,
    "CDR2 Start Calculated": 48.0,
    "CDR2 End Calculated": 52.0,
    "Type.3": "beta",
    "Organism IRI.1": "http://purl.obolibrary.org/obo/NCBITaxon_9606",
    "Nucleotide Sequence.1": None,
    "Curated V Gene.1": "TRBV14*01",
    "Calculated V Gene.1": "TRBV14*01",
    "Curated D Gene.1": None,
    "Calculated D Gene.1": None,
    "Curated J Gene.1": "TRBJ2-3*01",
    "Calculated J Gene.1": "TRBJ2-3*01",
    "Protein Sequence.1": "GVTQFPSHSVIEKGQTVTLRCDPISGHDNLYWYRRVMGKEIKFLLHFVKESKQDESGMPNNRFLAERTGGTYSTLKVQPAELEDSGVYFCASSQDRDTQYFGPGTRLTVLEDLKNVFPPEVAVFEPSEAEISHTQKATLVCLATGFYPDHVELSWWVNGKEVHSGVCTDPQPLKEQPALNDSRYALSSRLRVSATFWQNPRNHFRCQVQFYGLSENDEWTQDRAKPVTQIVSAEAWGRAD",
    "Protein IRI.1": "https://www.ncbi.nlm.nih.gov/protein/2ESV_E",
    "CDR3 Curated.1": "ASSQDRDTQY",
    "CDR3 Calculated.1": "ASSQDRDTQY",
    "CDR3 Start Curated.1": None,
    "CDR3 End Curated.1": None,
    "CDR3 Start Calculated.1": 91.0,
    "CDR3 End Calculated.1": 100.0,
    "CDR1 Curated.1": None,
    "CDR1 Calculated.1": "SGHDN",
    "CDR1 Start Curated.1": None,
    "CDR1 End Curated.1": None,
    "CDR1 Start Calculated.1": 25.0,
    "CDR1 End Calculated.1": 29.0,
    "CDR2 Curated.1": None,
    "CDR2 Calculated.1": "FVKESK",
    "CDR2 Start Curated.1": None,
    "CDR2 End Curated.1": None,
    "CDR2 Start Calculated.1": 47.0,
    "CDR2 End Calculated.1": 52.0
}

# B-cell receptor
bcr = {
    "Group IRI": "http://www.iedb.org/receptor/1",
    "IEDB Receptor ID": 1,
    "Reference Name": "26-2F",
    "Type": "heavylight",
    "IEDB IRI": "http://www.iedb.org/reference/279",
    "IEDB IRI.1": "http://www.iedb.org/epitope/2134780",
    "Name": "G58, L59, S61, P62, C63, K64, D65, G109, G110, S111, P112, W113, P114, P115",
    "Source Molecule": "Angiogenin",
    "Source Organism": "Homo sapiens (human)",
    "Type.1": "B cell",
    "IEDB IDs": "32, 1686197",
    "MHC Allele Names": None,
    "Type.2": "heavy",
    "Organism IRI": "http://purl.obolibrary.org/obo/NCBITaxon_9606",
    "Nucleotide Sequence": None,
    "Curated V Gene": None,
    "Calculated V Gene": "IGHV5-9*01",
    "Curated D Gene": None,
    "Calculated D Gene": None,
    "Curated J Gene": None,
    "Calculated J Gene": "IGHJ4*01",
    "Protein Sequence": "EVMLVESGGGLVKPGGSLKLSCAASGFTFSSYTMSWVRQTPEKRLEWVATISSGGGNTYYPDSVKGRFTISRDIAKNTLYLQMSSLRSEDTALYYCTRLGDYGYAYTMDYWGQGTSVTVSSAKTTPPSVYPLAPGGGGGGGAMVTLGCLVKGYFPEPVTVTWNSGSLSSGVHTFPAVLQSDLYTLSSSVTVPSSPWPSETVTCNVAHPASSTKVDKKIVPRDC",
    "Protein IRI": "https://www.ncbi.nlm.nih.gov/protein/1H0D_B",
    "CDR3 Curated": None,
    "CDR3 Calculated": "TRLGDYGYAYTMDY",
    "CDR3 Start Curated": None,
    "CDR3 End Curated": None,
    "CDR3 Start Calculated": 97.0,
    "CDR3 End Calculated": 110.0,
    "CDR1 Curated": None,
    "CDR1 Calculated": "GFTFSSYT",
    "CDR1 Start Curated": None,
    "CDR1 End Curated": None,
    "CDR1 Start Calculated": 26.0,
    "CDR1 End Calculated": 33.0,
    "CDR2 Curated": None,
    "CDR2 Calculated": "ISSGGGNT",
    "CDR2 Start Curated": None,
    "CDR2 End Curated": None,
    "CDR2 Start Calculated": 51.0,
    "CDR2 End Calculated": 58.0,
    "Type.3": "light",
    "Organism IRI.1": "http://purl.obolibrary.org/obo/NCBITaxon_9606",
    "Nucleotide Sequence.1": None,
    "Curated V Gene.1": None,
    "Calculated V Gene.1": "IGKV3-2*01",
    "Curated D Gene.1": None,
    "Calculated D Gene.1": None,
    "Curated J Gene.1": None,
    "Calculated J Gene.1": "IGKJ5*01",
    "Protein Sequence.1": "DIVLTQSPASLAVSLGQRATISCRASESVDNYGISFMSWFQQKPGQPPKLLIYAASNQGSGVPARFSGSGSGTDFSLNIHPMEEDDTAMYFCQQSKEVPLTFGAGTKLELKRADAAPTVSIFPPSSEQLTSGGASVVCFLNNFYPKDINVRWKIDGSERQNGVLNSWTDQDSKDSTYSMSSTLTLTKDEYERHNSYTCEATHAASPIVKSFNRNEC",
    "Protein IRI.1": "https://www.ncbi.nlm.nih.gov/protein/1H0D_A",
    "CDR3 Curated.1": None,
    "CDR3 Calculated.1": "QQSKEVPLT",
    "CDR3 Start Curated.1": None,
    "CDR3 End Curated.1": None,
    "CDR3 Start Calculated.1": 93.0,
    "CDR3 End Calculated.1": 101.0,
    "CDR1 Curated.1": None,
    "CDR1 Calculated.1": "ESVDNYGISF",
    "CDR1 Start Curated.1": None,
    "CDR1 End Curated.1": None,
    "CDR1 Start Calculated.1": 27.0,
    "CDR1 End Calculated.1": 36.0,
    "CDR2 Curated.1": None,
    "CDR2 Calculated.1": "AAS",
    "CDR2 Start Curated.1": None,
    "CDR2 End Curated.1": None,
    "CDR2 Start Calculated.1": 54.0,
    "CDR2 End Calculated.1": 56.0
}

# reference
reference = {
    "IEDB IRI": "http://www.iedb.org/reference/3",
    "Type": "Literature",
    "PMID": 15037737.0,
    "Submission ID": None,
    "Alternate IRIs": None,
    "Authors": "Katherine Kedzierska; Stephen J Turner; Peter C Doherty",
    "Journal": "Proc Natl Acad Sci U S A",
    "Date": 2004,
    "Title": "Conserved T cell receptor usage in primary and recall responses to an immunodominant influenza virus nucleoprotein epitope."
}

# T-cell
tcell = {
    "Assay ID - IEDB IRI": "http://www.iedb.org/assay/29",
    "Reference - IEDB IRI": "http://www.iedb.org/reference/274",
    "Reference - Type": "Literature",
    "Reference - PMID": "15448372",
    "Reference - Submission ID": "",
    "Reference - Authors": "Yi-Hsiang Huang; Mi-Hua Tao; Cheng-Po Hu; Wan-Jr Syu; Jaw-Ching Wu",
    "Reference - Journal": "J Gen Virol",
    "Reference - Date": "2004",
    "Reference - Title": "Identification of novel HLA-A*0201-restricted CD8+ T-cell epitopes on hepatitis delta virus.",
    "Epitope - IEDB IRI": "http://www.iedb.org/epitope/31803",
    "Epitope - Object Type": "Linear peptide",
    "Epitope - Name": "KLEDLERDL",
    "Epitope - Reference Name": "HDV 26-34",
    "Epitope - Modified residues": "",
    "Epitope - Modifications": "",
    "Epitope - Starting Position": "26",
    "Epitope - Ending Position": "34",
    "Epitope - IRI": "",
    "Epitope - Synonyms": "",
    "Epitope - Source Molecule": "large delta antigen",
    "Epitope - Source Molecule IRI": "http://www.ncbi.nlm.nih.gov/protein/AAG26087.1",
    "Epitope - Molecule Parent": "Large delta antigen",
    "Epitope - Molecule Parent IRI": "http://www.uniprot.org/uniprot/P29996",
    "Epitope - Source Organism": "Hepatitis delta virus TW2667",
    "Epitope - Source Organism IRI": "https://ontology.iedb.org/ontology/ONTIE_0000432",
    "Epitope - Species": "Hepatitis delta virus",
    "Epitope - Species IRI": "http://purl.obolibrary.org/obo/NCBITaxon_12475",
    "Epitope - Epitope Comments": "",
    "Related Object - Epitope Relation": "",
    "Related Object - Object Type": "",
    "Related Object - Name": "",
    "Related Object - Starting Position": "",
    "Related Object - Ending Position": "",
    "Related Object - IRI": "",
    "Related Object - Synonyms": "",
    "Related Object - Source Molecule": "",
    "Related Object - Source Molecule IRI": "",
    "Related Object - Molecule Parent": "",
    "Related Object - Molecule Parent IRI": "",
    "Related Object - Source Organism": "",
    "Related Object - Source Organism IRI": "",
    "Related Object - Species": "",
    "Related Object - Species IRI": "",
    "Host - Name": "Mus musculus HLA-A2 Tg",
    "Host - IRI": "https://ontology.iedb.org/ontology/ONTIE_0000490",
    "Host - Geolocation": "",
    "Host - Geolocation IRI": "",
    "Host - Sex": "",
    "Host - Age": "8-10 weeks",
    "Host - MHC Present": "",
    "1st in vivo Process - Process Type": "Administration in vivo",
    "1st in vivo Process - Disease": "",
    "1st in vivo Process - Disease IRI": "",
    "1st in vivo Process - Disease Stage": "",
    "1st immunogen - Epitope Relation": "Source Antigen",
    "1st immunogen - Object Type": "Protein",
    "1st immunogen - Name": "large delta antigen",
    "1st immunogen - Reference Name": "p2667L DNA vaccine",
    "1st immunogen - Starting Position": "",
    "1st immunogen - Ending Position": "",
    "1st immunogen - IRI": "http://www.ncbi.nlm.nih.gov/protein/AAG26087.1",
    "1st immunogen - Source Molecule": "",
    "1st immunogen - Source Molecule IRI": "",
    "1st immunogen - Molecule Parent": "",
    "1st immunogen - Molecule Parent IRI": "",
    "1st immunogen - Source Organism": "Hepatitis delta virus TW2667",
    "1st immunogen - Source Organism IRI": "https://ontology.iedb.org/taxon/10000523",
    "1st immunogen - Species": "Hepatitis delta virus",
    "1st immunogen - Species IRI": "http://purl.obolibrary.org/obo/NCBITaxon_12475",
    "1st immunogen - Adjuvants": "",
    "1st immunogen - Route": "intramuscular",
    "1st immunogen - Dose Schedule": "3 doses of 10 \u00b5g DNA, administered at weeks 0, 3 and 6",
    "2nd in vivo Process - Process Type": "",
    "2nd in vivo Process - Disease": "",
    "2nd in vivo Process - Disease IRI": "",
    "2nd in vivo Process - Disease Stage": "",
    "2nd immunogen - Epitope Relation": "",
    "2nd immunogen - Object Type": "",
    "2nd immunogen - Name": "",
    "2nd immunogen - Reference Name": "",
    "2nd immunogen - Starting Position": "",
    "2nd immunogen - Ending Position": "",
    "2nd immunogen - IRI": "",
    "2nd immunogen - Source Molecule": "",
    "2nd immunogen - Source Molecule IRI": "",
    "2nd immunogen - Molecule Parent": "",
    "2nd immunogen - Molecule Parent IRI": "",
    "2nd immunogen - Source Organism": "",
    "2nd immunogen - Source Organism IRI": "",
    "2nd immunogen - Species": "",
    "2nd immunogen - Species IRI": "",
    "2nd immunogen - Adjuvants": "",
    "2nd immunogen - Route": "",
    "2nd immunogen - Dose Schedule": "",
    "In vitro Process - Process Type": "",
    "in vitro Responder Cell - Name": "",
    "in vitro Responder Cell - IRI": "",
    "in vitro Stimulator Cell - Name": "",
    "in vitro Stimulator Cell - IRI": "",
    "in vitro immunogen - Epitope Relation": "",
    "in vitro immunogen - Object Type": "",
    "in vitro immunogen - Name": "",
    "in vitro immunogen - Reference Name": "",
    "in vitro immunogen - Starting Position": "",
    "in vitro immunogen - Ending Position": "",
    "in vitro immunogen - IRI": "",
    "in vitro immunogen - Source Molecule": "",
    "in vitro immunogen - Source Molecule IRI": "",
    "in vitro immunogen - Molecule Parent": "",
    "in vitro immunogen - Molecule Parent IRI": "",
    "in vitro immunogen - Source Organism": "",
    "in vitro immunogen - Source Organism IRI": "",
    "in vitro immunogen - Species": "",
    "in vitro immunogen - Species IRI": "",
    "Adoptive Transfer - Flag": "N",
    "Adoptive Transfer - Comments": "",
    "Immunization - Comments": "100 micrograms plasmid DNA in normal saline. Mice received an injection of cardiotoxin 1 week before immunization. Booster doses given after 3 and 6 weeks.",
    "Assay - Location of Assay Data in Reference": "Figure 2",
    "Assay - Method": "multimer/tetramer",
    "Assay - Response measured": "qualitative binding",
    "Assay - Units": "",
    "Assay - IRI": "http://purl.obolibrary.org/obo/OBI_1110179",
    "Assay - Qualitative Measurement": "Positive",
    "Assay - Measurement Inequality": "",
    "Assay - Quantitative measurement": "",
    "Assay - Number of Subjects Tested": "4",
    "Assay - Number of Subjects Positive": "4",
    "Assay - Response Frequency (%)": "100",
    "Assay - Comments": "",
    "Effector Cell - Source Tissue": "Spleen",
    "Effector Cell - Source Tissue IRI": "http://purl.obolibrary.org/obo/UBERON_0002106",
    "Effector Cell - Name": "Splenocyte",
    "Effector Cell - IRI": "http://purl.obolibrary.org/obo/CL_2000074",
    "Effector Cell - Culture Condition": "Direct Ex Vivo",
    "Effector Cell - TCR Name": "",
    "Complex - PDB ID": "",
    "Antigen Presenting Cell - Source Tissue": "",
    "Antigen Presenting Cell - Source Tissue IRI": "",
    "Antigen Presenting Cell - Name": "",
    "Antigen Presenting Cell - IRI": "",
    "Antigen Presenting Cell - Culture Condition": "",
    "MHC Restriction - Name": "HLA-A*02:01",
    "MHC Restriction - IRI": "http://purl.obolibrary.org/obo/MRO_0001007",
    "MHC Restriction - Evidence Code": "MHC binding assay",
    "MHC Restriction - Class": "I",
    "Assay Antigen - Epitope Relation": "Epitope",
    "Assay Antigen - Object Type": "Linear peptide",
    "Assay Antigen - Name": "KLEDLERDL",
    "Assay Antigen - Reference Name": "HDV 26-34",
    "Assay Antigen - Starting Position": "26",
    "Assay Antigen - Ending Position": "34",
    "Assay Antigen - IRI": "",
    "Assay Antigen - Source Molecule": "large delta antigen",
    "Assay Antigen - Source Molecule IRI": "http://www.ncbi.nlm.nih.gov/protein/AAG26087.1",
    "Assay Antigen - Molecule Parent": "Large delta antigen",
    "Assay Antigen - Molecule Parent IRI": "http://www.uniprot.org/uniprot/P29996",
    "Assay Antigen - Source Organism": "Hepatitis delta virus TW2667",
    "Assay Antigen - Source Organism IRI": "https://ontology.iedb.org/taxon/10000523",
    "Assay Antigen - Species": "Hepatitis delta virus",
    "Assay Antigen - Species IRI": "http://purl.obolibrary.org/obo/NCBITaxon_12475"
}

# B-cell
bcell =  {
    "IEDB IRI": "http://www.iedb.org/assay/5",
    "IEDB IRI.1": "http://www.iedb.org/reference/271",
    "Type": "Literature",
    "PMID": 7629116.0,
    "Submission ID": None,
    "Authors": "J Lescar; M Pellegrini; H Souchon; D Tello; R J Poljak; N Peterson; M Greene; P M Alzari",
    "Journal": "J Biol Chem",
    "Date": 1995,
    "Title": "Crystal structure of a cross-reaction complex between Fab F9.13.7 and guinea fowl lysozyme.",
    "IEDB IRI.2": "http://www.iedb.org/epitope/77408",
    "Object Type": "Discontinuous peptide",
    "Name": "H15, G16, Y20, R21, W63, R73, L75, N77, N93, K96, K97, S100, D101",
    "Reference Name": "F9.13.7 epitope of guinea fowl lysozyme",
    "Modified residues": None,
    "Modifications": None,
    "Starting Position": None,
    "Ending Position": None,
    "IRI": None,
    "Synonyms": None,
    "Source Molecule": "Lysozyme C",
    "Source Molecule IRI": "http://www.ncbi.nlm.nih.gov/protein/P00704.2",
    "Molecule Parent": None,
    "Molecule Parent IRI": None,
    "Source Organism": "Numida meleagris",
    "Source Organism IRI": "http://purl.obolibrary.org/obo/NCBITaxon_8996",
    "Species": "Numida meleagris",
    "Species IRI": "http://purl.obolibrary.org/obo/NCBITaxon_8996",
    "Comments": None,
    "Epitope Relation": None,
    "Object Type.1": None,
    "Name.1": None,
    "Starting Position.1": None,
    "Ending Position.1": None,
    "IRI.1": None,
    "Synonyms.1": None,
    "Source Molecule.1": None,
    "Source Molecule IRI.1": None,
    "Molecule Parent.1": None,
    "Molecule Parent IRI.1": None,
    "Source Organism.1": None,
    "Source Organism IRI.1": None,
    "Species.1": None,
    "Species IRI.1": None,
    "Name.2": "Mus musculus (mouse)",
    "IRI.2": "http://purl.obolibrary.org/obo/NCBITaxon_10090",
    "Geolocation": None,
    "Geolocation IRI": None,
    "Sex": None,
    "Age": None,
    "MHC Present": None,
    "Process Type": "Administration in vivo",
    "Disease": None,
    "Disease IRI": None,
    "Disease Stage": None,
    "Epitope Relation.1": "Structurally Related",
    "Object Type.2": "Protein",
    "Name.3": "Lysozyme C",
    "Reference Name.1": "HEL",
    "Starting Position.2": None,
    "Ending Position.2": None,
    "IRI.3": "https://www.uniprot.org/uniprot/P00698.1",
    "Source Molecule.2": None,
    "Source Molecule IRI.2": None,
    "Molecule Parent.2": None,
    "Molecule Parent IRI.2": None,
    "Source Organism.2": "Gallus gallus",
    "Source Organism IRI.2": "http://purl.obolibrary.org/obo/NCBITaxon_9031",
    "Species.2": "Gallus gallus",
    "Species IRI.2": "http://purl.obolibrary.org/obo/NCBITaxon_9031",
    "Adjuvants": None,
    "Route": None,
    "Dose Schedule": None,
    "Process Type.1": None,
    "Disease.1": None,
    "Disease IRI.1": None,
    "Disease Stage.1": None,
    "Epitope Relation.2": None,
    "Object Type.3": None,
    "Name.4": None,
    "Reference Name.2": None,
    "Starting Position.3": None,
    "Ending Position.3": None,
    "IRI.4": None,
    "Source Molecule.3": None,
    "Source Molecule IRI.3": None,
    "Molecule Parent.3": None,
    "Molecule Parent IRI.3": None,
    "Source Organism.3": None,
    "Source Organism IRI.3": None,
    "Species.3": None,
    "Species IRI.3": None,
    "Adjuvants.1": None,
    "Route.1": None,
    "Dose Schedule.1": None,
    "Flag": "N",
    "Comments.1": None,
    "Comments.2": "The details of the immunization procedure were not described.",
    "Location of Assay Data in Reference": "Table I",
    "Method": "x-ray crystallography",
    "Response measured": "3D structure",
    "Units": "angstroms",
    "IRI.5": "http://purl.obolibrary.org/obo/OBI_0001738",
    "Qualitative Measure": "Positive",
    "Measurement Inequality": "=",
    "Quantitative measurement": 3.0,
    "Number of Subjects Tested": None,
    "Number of Subjects Positive": None,
    "Response Frequency (%)": None,
    "Comments.3": None,
    "Antibody Source Material": "Purified Immunoglobulin",
    "Immunoglobulin Domain": "Fab",
    "Purification Status": "Monoclonal",
    "Antibody Name": "F9.13.7",
    "Heavy chain isotype": "IgG1",
    "Light chain isotype": "Kappa",
    "PDB ID": "1FBI",
    "Epitope Relation.3": "Source Antigen",
    "Object Type.4": "Protein",
    "Name.5": "Lysozyme C",
    "Reference Name.3": "Lysozyme C",
    "Starting Position.4": None,
    "Ending Position.4": None,
    "IRI.6": "http://www.ncbi.nlm.nih.gov/protein/P00704.2",
    "Source Molecule.4": None,
    "Source Molecule IRI.4": None,
    "Molecule Parent.4": None,
    "Molecule Parent IRI.4": None,
    "Source Organism.4": "Numida meleagris",
    "Source Organism IRI.4": "http://purl.obolibrary.org/obo/NCBITaxon_8996",
    "Species.4": "Numida meleagris",
    "Species IRI.4": "http://purl.obolibrary.org/obo/NCBITaxon_8996"
}


# major histocompatiblity complex
mhc = {
    "Assay ID - IEDB IRI": "http://www.iedb.org/assay/26",
    "Reference - IEDB IRI": "http://www.iedb.org/reference/274",
    "Reference - Type": "Literature",
    "Reference - PMID": "15448372",
    "Reference - Submission ID": "",
    "Reference - Authors": "Yi-Hsiang Huang; Mi-Hua Tao; Cheng-Po Hu; Wan-Jr Syu; Jaw-Ching Wu",
    "Reference - Journal": "J Gen Virol",
    "Reference - Date": "2004",
    "Reference - Title": "Identification of novel HLA-A*0201-restricted CD8+ T-cell epitopes on hepatitis delta virus.",
    "Epitope - Epitope IRI": "http://www.iedb.org/epitope/31803",
    "Epitope - Object Type": "Linear peptide",
    "Epitope - Name": "KLEDLERDL",
    "Epitope - Reference Name": "HDV 26-34",
    "Epitope - Modified residues": "",
    "Epitope - Modifications": "",
    "Epitope - Starting Position": "26",
    "Epitope - Ending Position": "34",
    "Epitope - IRI": "",
    "Epitope - Synonyms": "",
    "Epitope - Source Molecule": "large delta antigen",
    "Epitope - Source Molecule IRI": "http://www.ncbi.nlm.nih.gov/protein/AAG26087.1",
    "Epitope - Molecule Parent": "Large delta antigen",
    "Epitope - Molecule Parent IRI": "http://www.uniprot.org/uniprot/P29996",
    "Epitope - Source Organism": "Hepatitis delta virus TW2667",
    "Epitope - Source Organism IRI": "https://ontology.iedb.org/ontology/ONTIE_0000432",
    "Epitope - Species": "Hepatitis delta virus",
    "Epitope - Species IRI": "http://purl.obolibrary.org/obo/NCBITaxon_12475",
    "Epitope - Comments": "",
    "Related Object - Epitope Relation": "",
    "Related Object - Object Type": "",
    "Related Object - Name": "",
    "Related Object - Starting Position": "",
    "Related Object - Ending Position": "",
    "Related Object - IRI": "",
    "Related Object - Synonyms": "",
    "Related Object - Source Molecule": "",
    "Related Object - Source Molecule IRI": "",
    "Related Object - Molecule Parent": "",
    "Related Object - Molecule Parent IRI": "",
    "Related Object - Source Organism": "",
    "Related Object - Source Organism IRI": "",
    "Related Object - Species": "",
    "Related Object - Species IRI": "",
    "Host - Name": "Homo sapiens (human)",
    "Host - IRI": "http://purl.obolibrary.org/obo/NCBITaxon_9606",
    "Host - Geolocation": "",
    "Host - Geolocation IRI": "",
    "Host - Sex": "",
    "Host - Age": "",
    "Host - MHC Types Present": "",
    "in vivo Process - Process Type": "",
    "in vivo Process - Disease": "",
    "in vivo Process - Disease IRI": "",
    "in vivo Process - Disease Stage": "",
    "in vivo Antigen - Epitope Relation": "",
    "in vivo Antigen - Object Type": "",
    "in vivo Antigen - Name": "",
    "in vivo Antigen - Reference Name": "",
    "in vivo Antigen - Starting Position": "",
    "in vivo Antigen - Ending Position": "",
    "in vivo Antigen - IRI": "",
    "in vivo Antigen - Source Molecule": "",
    "in vivo Antigen - Source Molecule IRI": "",
    "in vivo Antigen - Molecule Parent": "",
    "in vivo Antigen - Molecule Parent IRI": "",
    "in vivo Antigen - Source Organism": "",
    "in vivo Antigen - Source Organism IRI": "",
    "in vivo Antigen - Species": "",
    "in vivo Antigen - Species IRI": "",
    "in vivo Antigen - Adjuvants": "",
    "in vivo Antigen - Route": "",
    "in vivo Antigen - Dose Schedule": "",
    "In vitro Process - Process Type": "",
    "In vitro Process - Epitope Relation": "",
    "In vitro Process - Object Type": "",
    "In vitro Process - Name": "",
    "In vitro Process - Reference Name": "",
    "In vitro Process - Starting Position": "",
    "In vitro Process - Ending Position": "",
    "In vitro Process - IRI": "",
    "In vitro Process - Source Molecule": "",
    "In vitro Process - Source Molecule IRI": "",
    "In vitro Process - Molecule Parent": "",
    "In vitro Process - Molecule Parent IRI": "",
    "In vitro Process - Source Organism": "",
    "In vitro Process - Source Organism IRI": "",
    "In vitro Process - Species": "",
    "In vitro Process - Species IRI": "",
    "Antigen Processing - Comments": "",
    "Assay - Location of Assay Data in Reference": "Figure 1",
    "Assay - Method": "cellular MHC/direct/fluorescence",
    "Assay - Response measured": "qualitative binding",
    "Assay - Units": "",
    "Assay - IRI": "http://purl.obolibrary.org/obo/OBI_0001606",
    "Assay - Qualitative Measurement": "Positive-Low",
    "Assay - Measurement Inequality": "",
    "Assay - Quantitative measurement": "",
    "Assay - Number of Subjects Tested": "",
    "Assay - Number of Subjects Responded": "",
    "Assay - Response Frequency (%)": "",
    "Assay - PDB ID": "",
    "Assay - Comments": "",
    "Antigen Presenting Cell - Source Tissue": "",
    "Antigen Presenting Cell - Source Tissue IRI": "",
    "Antigen Presenting Cell - Name": "",
    "Antigen Presenting Cell - IRI": "",
    "Antigen Presenting Cell - Culture Condition": "",
    "MHC Restriction - Name": "HLA-A*02:01",
    "MHC Restriction - IRI": "http://purl.obolibrary.org/obo/MRO_0001007",
    "MHC Restriction - Evidence Code": "",
    "MHC Restriction - Class": "I"
}
